Subject: MAY I HELP YOU IN CREATING A BEAUTIFUL 3-D HOME PAGE FOR YOUR WORK?

From: [email-masked](Dr.S.GOPALA KRISHNA)
Date: 29 Jun 1996 08:50:03 GMT

Please visit http://www.muetec.com/sgk/index.htm and e-mail me.